package bookmark.action;

import java.util.List;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.springframework.context.ApplicationContext;
import org.springframework.web.context.support.WebApplicationContextUtils;

import bookmark.logic.BookmarkLogic;

/**
 * ubN}[Nꗗ\ANVB
 */
public class ListBookmarkAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {

        ApplicationContext context = null;
        BookmarkLogic logic = null;
        List bookmarks = null;

        // Spring̃ReLXg擾
        context = WebApplicationContextUtils.
            getRequiredWebApplicationContext(getServlet().getServletContext());

        // ReLXg烍WbNNX̃CX^X擾
        logic = (BookmarkLogic) context.getBean("bookmarkLogic");

        // ׂẴubN}[N擾
        bookmarks = logic.fetchAllBookmarks();

        if (bookmarks.size() > 0) {
            request.setAttribute("bookmarks", bookmarks);
        }

        return mapping.findForward("success");
    }

}
