package bookmark.action;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.struts.action.Action;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.springframework.context.ApplicationContext;
import org.springframework.web.context.support.WebApplicationContextUtils;

import bookmark.form.BookmarkForm;
import bookmark.logic.BookmarkLogic;
import bookmark.model.Bookmark;

/**
 * ubN}[No^ANVB
 */
public class AddBookmarkAction extends Action {

    public ActionForward execute(ActionMapping mapping,
                                 ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response)
        throws Exception {

        BookmarkForm bookmarkForm = (BookmarkForm)form;
        ApplicationContext context = null;
        BookmarkLogic logic = null;
        Bookmark bookmark = null;

        // Spring̃ReLXg擾
        context = WebApplicationContextUtils.
            getRequiredWebApplicationContext(getServlet().getServletContext());

        // ReLXgoRŃWbNNX̃CX^X擾
        logic = (BookmarkLogic) context.getBean("bookmarkLogic");

        // o^ubN}[N쐬
        bookmark = new Bookmark();
        bookmark.setTitle(bookmarkForm.getTitle());
        bookmark.setUrl(bookmarkForm.getUrl());

        // ubN}[Nf[^x[Xɕۑ
        logic.storeBookmark(bookmark);

        return mapping.findForward("success");
    }

}
